Anonymous Login
2017-12-11 18:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001681OpenClonkEnginepublic2017-12-08 15:25
ReporterLuchs 
Assigned ToCaesar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformClangOSLinuxOS Version
Product Version 
Target Version8.0Fixed in Version 
Summary0001681: volume parameter of SoundAt() does not work
DescriptionSee summary.
Steps To Reproduce1. Start a scenario in editor mode.
2. Open the Properties window focused on your Clonk.
3. Run Sound("UI::Trumpet", false, 20)
4. Listen to almost silent trumpet.
5. Run SoundAt("UI::Trumpet", 0, 0, 20)
6. Listen to trumpet at full volume.
Additional InformationOC uses OpenAL for sound playback here.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005924

Caesar (developer)

Why does this have "major" severity?

Anyway, it is pretty easy to fix: https://git.openclonk.org/jcaesar/experimental.git/commit/d94dcc8267b9544fe4af097e9470f013327ac6c5 I'm just not sure whether that's the smart way of doing it. Anyone mind having a look?

~0005927

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/d94dcc8267b9544fe4af097e9470f013327ac6c5

Changeset d94dcc8 by Julius Michaelis <gitter@liftm.de>
Fix iLevel parameter of SoundAt (0001681)

+Notes

-Issue History
Date Modified Username Field Change
2016-02-10 16:02 Luchs New Issue
2017-08-05 15:58 Maikel Target Version => 8.0
2017-12-05 17:01 Caesar Note Added: 0005924
2017-12-05 17:01 Caesar Assigned To => Caesar
2017-12-05 17:01 Caesar Status new => assigned
2017-12-08 15:05 occ Note Added: 0005927
2017-12-08 15:24 Caesar Status assigned => closed
2017-12-08 15:24 Caesar Resolution open => fixed
2017-12-08 15:25 Caesar Status closed => resolved
+Issue History